
D4Science Infrastructure - Task #4815

Enable dev2.d4science to reach  postgreSQL instance on preprod1.d4science and viceversa

Jul 27, 2016 02:57 PM - Massimiliano Assante

Status: Closed Start date: Jul 27, 2016

Priority: Normal Due date: Aug 26, 2016

Assignee: _InfraScience Systems Engineer % Done: 100%

Category:  Estimated time: 2.00 hours

Target version: UnSprintable   

Infrastructure: Development, Pre-Production   

Description

In production we had (minor) issues related to the fact that the Liferay DB is no longer on the same portal node. For this reason we

would like to replicate the same in dev and preprod.

The easier way to do so is to Enable dev2.d4science to reach  postgreSQL instance on preprod1.d4science and viceversa. I will then

take care of dumping and restoring the DB in the 2 nodes.

History

#1 - Jul 27, 2016 02:57 PM - Massimiliano Assante

- Target version changed from gCube related support to UnSprintable

#2 - Jul 27, 2016 03:45 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#3 - Jul 27, 2016 03:55 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

On preprod1.d4science.org you now have a db named infra_dev_db accessible by the infra_dev user from dev2.d4science.org

On dev2.d4science.org you have a db named infra_pre_db accessible by the infra_pre user from  preprod[1:2].d4science.org

Same password of the other ones.

All the DB are accessible by your desktop IP.

A plea: if you need to drop/create a database, please create it as owned by the user that will access it, and UTF8 encoded.

#4 - Jul 29, 2016 03:39 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
